Quantcast
Jump to content
Search In
  • More options...
Find results that contain...
Find results in...
    1. Welcome to GTAForums!   (86,280 visits to this link)

    2. News

    1. GTA Online

      1. Find Lobbies & Players
      2. Guides & Strategies
      3. Vehicles
      4. Content Creator
      5. Help & Support
    2. Crews

      1. Events
      2. Recruitment
    1. Grand Theft Auto Series

    2. GTA Next

    3. GTA V

      1. PC
      2. Guides & Strategies
      3. Help & Support
    4. GTA IV

      1. Episodes from Liberty City
      2. Multiplayer
      3. Guides & Strategies
      4. Help & Support
      5. GTA Mods
    5. GTA Chinatown Wars

    6. GTA Vice City Stories

    7. GTA Liberty City Stories

    8. GTA San Andreas

      1. Guides & Strategies
      2. Help & Support
      3. GTA Mods
    9. GTA Vice City

      1. Guides & Strategies
      2. Help & Support
      3. GTA Mods
    10. GTA III

      1. Guides & Strategies
      2. Help & Support
      3. GTA Mods
    11. Top Down Games

      1. GTA Advance
      2. GTA 2
      3. GTA
    12. Wiki

      1. Merchandising
    1. GTA Modding

      1. GTA V
      2. GTA IV
      3. GTA III, VC & SA
      4. Tutorials
    2. Mod Showroom

      1. Scripts & Plugins
      2. Maps
      3. Total Conversions
      4. Vehicles
      5. Textures
      6. Characters
      7. Tools
      8. Other
      9. Workshop
    3. Featured Mods

      1. DYOM
      2. OpenIV
      3. GTA: Underground
      4. GTA: Liberty City
      5. GTA: State of Liberty
    1. Red Dead Redemption 2

    2. Red Dead Redemption

    3. Rockstar Games

    1. Off-Topic

      1. General Chat
      2. Gaming
      3. Technology
      4. Programming
      5. Movies & TV
      6. Music
      7. Sports
      8. Vehicles
    2. Expression

      1. Graphics / Visual Arts
      2. GFX Requests & Tutorials
      3. Writers' Discussion
      4. Debates & Discussion
    1. Forum Support

    2. Site Suggestions

aru

[REL|BIN/SRC|Beta] SparkIV

Recommended Posts

Glumok
Aru is brilliant, so I bet he thought that by showing off his remarkable programming skills he would attract R*'s attention and get a job at the company. Unfortunately R* doesn't think like that. They believe modders are a threat to them and hate everybody who tries to make a contribution to the community.

Two of the biggest sh*t I've ever read on this forum.

 

Never noticed that Aru is a long time modder/user ? Don't remember, for instance, of Spark for GTA III's era ?

Since years, this guy is in the GTA modding community, always making amazing tools for free. Just don't talk when you don't know what you are talking about.

 

And about R* and modders, they do love them. Even if they don't release any SDK for GTA, at least they keep us free to edit almost all the files. It would be easy for them to just completely lock the game, hardcoding everything. I do remember there is even a URL like "moddersrules.com" (I don't remember the exact name) registered by them.

Share this post


Link to post
Share on other sites
gaytony
Aru is brilliant, so I bet he thought that by showing off his remarkable programming skills he would attract R*'s attention and get a job at the company. Unfortunately R* doesn't think like that. They believe modders are a threat to them and hate everybody who tries to make a contribution to the community.

Two of the biggest sh*t I've ever read on this forum.

 

Never noticed that Aru is a long time modder/user ? Don't remember, for instance, of Spark for GTA III's era ?

Since years, this guy is in the GTA modding community, always making amazing tools for free. Just don't talk when you don't know what you are talking about.

 

And about R* and modders, they do love them. Even if they don't release any SDK for GTA, at least they keep us free to edit almost all the files. It would be easy for them to just completely lock the game, hardcoding everything. I do remember there is even a URL like "moddersrules.com" (I don't remember the exact name) registered by them.

Ha ha nope your full of sh*t! rockstar don't want modders! We make them look bad!

Share this post


Link to post
Share on other sites
jurasiks
spark 0.6.2 don't work with GTA IV 1.0.2.1 version!!!

Share this post


Link to post
Share on other sites
gtaforlifeshopper
spark 0.6.2 don't work with GTA IV 1.0.2.1 version!!!

Is there gonna be any more updates for SparkIV...? I still use the r3 version by gamerzworld found here! and it works on all versions of GTAIV even 1.0.3.0 but if you wanna play online you can only use texture and model edits!!!

Share this post


Link to post
Share on other sites
killer1234567

what version is this for mad.gif

 

Share this post


Link to post
Share on other sites
kaamarko

HI! Can you help me, how to edit non opening-non embed wdr-s and wtf-s? confused.gif

Share this post


Link to post
Share on other sites
Gocha

Please add .WAD (contains IMG files) editing support.

 

Thanks

Share this post


Link to post
Share on other sites
Dvt-MedShot

Hi I recently installed patch 1.0.3.0, and now Spark IV doesn't work anymore. At starting, it gives the following error message:

 

 

Your GTAIV.exe seems to be modified or is a newer version than this tool supports.

If it is a newer version, please check for an update of SparkIV. SparkIV can not run without a supported GTAIV.exe file

 

However, my GTAIV.exe is offcourse not modified. I just installed 1.0.3.0 and downloaded the newest Spark IV (0.6.2).

 

What's the matter?

 

EDIT: Wait... Is Spark IV actually supposed to work with 1.0.3.0?

EDIT 2: No, it isn't. Appearantly, Spark IV doesn't work with 1.0.3.0.

For all people with the same problem, use this Spark IV R2 release instead. That one does work with 1.0.3.0

 

Sorry for the inconvenience. turn.gif

Edited by Dvt-MedShot

Share this post


Link to post
Share on other sites
Teo265

Aru, do you update SparkIV for 1.0.4?

Share this post


Link to post
Share on other sites
Teo265

Thanks

Share this post


Link to post
Share on other sites
lilmcnessy

 

Here you go.

 

http://gzwn.net/Documents/SparkIV%200.6.2.1.rar

 

Should work with both 1.0.4.0 EFIGS and 1.0.3.1 Russian EXEs.

There is no filter in that version cryani.gif

The filter only works when it is maximized

It also crashes when you listen to the a few audio files

Edited by lilmcnessy

Share this post


Link to post
Share on other sites
gamerzworld

Fixed the filter (caused by me adding the revision number to the version string) and added support for Japan EXEs. As for the audio thing, I'm not quite sure what to tell you as I'm not a C# coder by heart. The only thing I think I can do is revert back to the player code from the official 0.6.2 release. (Aru changed up the player code after releasing 0.6.2) Did anyone have problems with playing audio in the official 0.6.2 release?

 

http://gzwn.net/Documents/SparkIV%200.6.2.2.rar

Share this post


Link to post
Share on other sites
Teo265

Thanks... Again.

Share this post


Link to post
Share on other sites
Dageron RUS

gamerzworld, can you post Japan AES key offsets, please? smile.gif

(I tired of their patch downloading, but need offsets...)

 

And here it is offset for XBox360 ".exe" (it can be extracted from default.xex using XexTool): 0x00A80F40

That also can be useful for such who research x360 version of the game.

 

Share this post


Link to post
Share on other sites
gamerzworld
gamerzworld, can you post Japan AES key offsets, please? smile.gif

(I tired of their patch downloading, but need offsets...)

 

And here it is offset for XBox360 ".exe" (it can be extracted from default.xex using XexTool): 0x00A80F40

That also can be useful for such who research x360 version of the game.

 

 

0xB8813C /* 1.0.1.2 JAP*/,0xB8C38C /* 1.0.2.2 JAP*/,

 

Share this post


Link to post
Share on other sites
abdelkadir

i have update my framwork to 3.5 but when i want to run sparkIV an error sad your

 

GTA.exe seems to be modified or is a newer version than this tool supports.if it is a newer version, please check for an updateof sparkIV. SparkIV can not run withou a supported GTAIV.exe file.

 

 

please some one help me please

 

Share this post


Link to post
Share on other sites
gamerzworld
i have update my framwork to 3.5 but when i want to run sparkIV an error sad your

 

GTA.exe seems to be modified or is a newer version than this tool supports.if it is a newer version, please check for an updateof sparkIV. SparkIV can not run withou a supported GTAIV.exe file.

 

 

please some one help me please

Read the 5th post on this page.

Share this post


Link to post
Share on other sites
Holcy

Good job aru... but i have one question, is there going to be a spark update for the new patch 1.0.4.0? thanks!

 

>>Please don't quote large posts or images -- Dutchy3010<<

Edited by Dutchy3010

Share this post


Link to post
Share on other sites
gamerzworld

 

<snip>

Good job aru... but i have one question, is there going to be a spark update for the new patch 1.0.4.0? thanks!

*facepalm*

Share this post


Link to post
Share on other sites
Gocha

Is there goings to add support for audio editing? As i noticed San Andreas support for audio editors got reachable not long ago, i suppose it would be added not soon

Share this post


Link to post
Share on other sites
jjcoolj91
Is there goings to add support for audio editing? As i noticed San Andreas support for audio editors got reachable not long ago, i suppose it would be added not soon

Guys i think aru has chose to leave the spark IV Topic unmanaged by him, he hasnt posted in here since January 27th confused.gif

 

your gonna have to ask someone else to make an audio editor for GTA IV

Share this post


Link to post
Share on other sites
atnc

i did some changes with an old version of spark, then i ve upgraded gta iv to 1.0.4.0 . now i cannot open the game it says gta iv stopped running. i just downloaded the latest version of spark to undo my changes but now i cant open the file "playerped.rpf" it gives an error. any1 can help me out with this problem?

Share this post


Link to post
Share on other sites
gamerzworld
i did some changes with an old version of spark, then i ve upgraded gta iv to 1.0.4.0 . now i cannot open the game it says gta iv stopped running. i just downloaded the latest version of spark to undo my changes but now i cant open the file "playerped.rpf" it gives an error. any1 can help me out with this problem?

What is the error Spark gives you?

Share this post


Link to post
Share on other sites
Khelben25

Man i download all of SparksIV but GTA IV patch 1.0.4.0 with any SparksIV dont works Help me... cryani.gif

Share this post


Link to post
Share on other sites
Fabio206

Mm gamerzworld I dunno if you could modify source code, but have you already tried to add the "level" function (for textures) to sparkiv (as in OpenIV)? shoul be very useful..

If I failed at asking, sorry biggrin.gif anyway thanks for your work on the last unofficial build smile.gif

Share this post


Link to post
Share on other sites
gamerzworld
Mm gamerzworld I dunno if you could modify source code, but have you already tried to add the "level" function (for textures) to sparkiv (as in OpenIV)? shoul be very useful..

If I failed at asking, sorry biggrin.gif anyway thanks for your work on the last unofficial build smile.gif

Like I said, I'm not a C# coder. I would love to see that feature be integrated though.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×

Important Information

By using GTAForums.com, you agree to our Terms of Use and Privacy Policy.